Bug 33614 - Impress [FILEOPEN] did not import double lines from a Powerpoint .ppt correctly.
Summary: Impress [FILEOPEN] did not import double lines from a Powerpoint .ppt correctly.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes-Line
  Show dependency treegraph
 
Reported: 2011-01-27 11:20 UTC by starmatz71
Modified: 2021-10-08 03:52 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows the import problem. Left Powerpoint 2000 (WinXP), middle Libreoffice3.3 (WinXP) and right LibreOffice 3.3 (Ubuntu 10.10 64Bit) (104.69 KB, image/png)
2011-01-27 11:20 UTC, starmatz71
Details
Powerpoint file which is shown in the picture above. (24.50 KB, application/vnd.ms-powerpoint)
2011-01-27 11:25 UTC, starmatz71
Details
previous document saved as pdf using msOffice 2007 (9.57 KB, application/pdf)
2012-08-23 07:49 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description starmatz71 2011-01-27 11:20:01 UTC
Created attachment 42607 [details]
Shows the import problem. Left Powerpoint 2000 (WinXP), middle Libreoffice3.3 (WinXP) and right LibreOffice 3.3 (Ubuntu 10.10 64Bit)

LibreOffice does not support graphical line style with two or three lines parallel like in MS Office. After importing a .ppt file in impress double or triple lined objects are only single lined. If LibreOffice did not support this linestyles, it could import and split them as two or three single lined objects and should look like the original Powerpoint object.

You can see it in the picture in the attachment.
Comment 1 starmatz71 2011-01-27 11:25:29 UTC
Created attachment 42608 [details]
Powerpoint file which is shown in the picture above.
Comment 2 Jorendc 2011-01-27 13:24:16 UTC
Reproduced in Mac OS X, LibreOffice 3.3 final.
Comment 3 Björn Michaelsen 2011-12-23 11:46:59 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:00:13 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:01:21 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:06:05 UTC Comment hidden (obsolete)
Comment 7 Florian Reisinger 2012-08-14 14:08:06 UTC Comment hidden (obsolete)
Comment 8 sasha.libreoffice 2012-08-23 07:49:35 UTC
Created attachment 66006 [details]
previous document saved as pdf using msOffice 2007
Comment 9 sasha.libreoffice 2012-08-23 07:52:21 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.6.0rc on Fedora 64 bit
Comment 10 starmatz71 2012-09-24 18:52:59 UTC
And of course it is still present in 3.6.1.2 and 3.6.2.1, because there is no support for double lines in Impress but it is in Calc!
Comment 11 starmatz71 2012-11-25 11:30:52 UTC
The same is in LibO3.6.3.2 and in 3.6.4.1 also.
Perhaps, this is a goal for the release of LibO 4.0 ?
Comment 12 starmatz71 2012-11-25 11:40:39 UTC
This is also an issue with Libre Office Draw, there are no support for double lines. I think both programs (impress and draw) are using the same code?

This is a major regression if you import Powerpoint Sheets into Libre Office.
Doublelined Borders are degraded to single lined borders which has to change manually with to boxes/lines. If you only import a few graphics, this is no problem, but if this are hundreds of them this is very frustrating and unproductive.

Please implement this feature in future releases of LibO.

Thank you!
Comment 13 sasha.libreoffice 2012-11-26 05:52:33 UTC
@ starmatz71@yahoo.de
Status "Enhancement" means that we have no bug. But it is a real bug.
Comment 14 QA Administrators 2015-04-19 03:22:59 UTC Comment hidden (obsolete)
Comment 15 Buovjaga 2015-06-18 16:49:34 UTC
Still same result.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 437210d58f32177ef1829d704f7f4d2f1bbfbfdd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-18_07:21:56
Locale: fi-FI (fi_FI)
Comment 16 QA Administrators 2016-09-20 10:11:13 UTC Comment hidden (obsolete)
Comment 17 vihsa 2017-06-01 02:21:00 UTC
reproducible with lo viewer version: 5.5.0.0.alpha0+ / build id : ec79f34 / android 5.1
Comment 18 QA Administrators 2019-03-27 03:42:20 UTC Comment hidden (obsolete)
Comment 19 eisa01 2019-04-20 20:39:52 UTC
Still present

Seems to be a medium issue according to the bug prioritizing flowchart

Present in 3.3, so inherited

Version: 6.3.0.0.alpha0+
Build ID: ea9c13be02ba731074fa4207944ff7df40a0fb5c
CPU threads: 2; OS: Mac OS X 10.13.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-04-10_20:43:17
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 20 QA Administrators 2021-10-08 03:52:27 UTC
Dear starmatz71,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug